Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class ChannelInfo

    java.lang.Object
      com.tibco.tibjms.admin.ChannelInfo

    public class ChannelInfo

extends java.lang.Object

An object of this class represents the configuration and optionally statistical data about the multicast channel. When this object is received via the method `TibjmsAdmin.getChannel(java.lang.String)`, it does not contain statistical information about the channel. Only objects returned by the method `TibjmsAdmin.getChannelStatistics(java.lang.String)` return ChannelInfo objects that include all statistical data.

Since:
  EMS 5.0

Method Summary
`static ChannelInfo` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
`java.lang.String` | `getAddress()` Get the channel's multicast address.
`long` | `getBacklogCount()` Get the channel's message backlog count.
`long` | `getBacklogSize()` Get the channel's message backlog size.
`long` | `getBufferedBytes()` Get the number of bytes buffered for retransmission by this channel.
`DetailedDestStat[]` | `getDetailedStatistics()` Returns detailed statistics for all destinations being sent on the channel.
`java.lang.String` | `getInterface()` Get the channel's multicast interface.
`long` | `getMaxRate()` Get the channel's maximum transmission rate.
`long` | `getMaxTime()` Get the channel's maximum window size for retransmissions.
`java.lang.String` | `getName()` Get the channel's name.
`int` | `getPriority()` Get the channel's multicast priority.
`long` | `getRetransmittedBytes()` Get the number of bytes sent in retransmissions by this channel.
`StatData` | `getStatistics()` Returns cumulative statistics for all destinations on the channel.
`long` | `getTransmittedBytes()` Get the number of bytes sent by this channel.
`int` | `getTtl()` Get the channel's multicast time-to-live.
`boolean` | `isActive()` Indicates whether or not the channel is active.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Get the channel's name.

  Returns:
    the channel's name.

### getAddress

    public java.lang.String getAddress()

  Get the channel's multicast address.

  Returns:
    the channel's multicast address.

### getInterface

    public java.lang.String getInterface()

  Get the channel's multicast interface.

  Returns:
    the channel's multicast interface.

### getTtl

    public int getTtl()

  Get the channel's multicast time-to-live.

  Returns:
    the channel's multicast time-to-live.

### getPriority

    public int getPriority()

  Get the channel's multicast priority.

  Returns:
    the channel's multicast priorty.

### getMaxRate

    public long getMaxRate()

  Get the channel's maximum transmission rate.

  Returns:
    the channel's maximum transmission rate in bytes per second.

### getMaxTime

    public long getMaxTime()

  Get the channel's maximum window size for retransmissions.

  Returns:
    the channel's maximum window size for retransmissions in seconds.

### isActive

    public boolean isActive()

  Indicates whether or not the channel is active.

  Returns:
    true if this channel is active and false if this channel is defined in the server configuration but is not active.

### getBacklogCount

    public long getBacklogCount()

  Get the channel's message backlog count. This is the number of messages buffered in the server waiting to be sent on the channel.

  Returns:
    the channel's message backlog count.

### getBacklogSize

    public long getBacklogSize()

  Get the channel's message backlog size. This is the number of bytes buffered in the server waiting to be sent on the channel.

  Returns:
    the channel's message backlog size.

### getTransmittedBytes

    public long getTransmittedBytes()

  Get the number of bytes sent by this channel. This number does not include any retransmissions.

  Returns:
    the number of bytes sent by this channel.

### getRetransmittedBytes

    public long getRetransmittedBytes()

  Get the number of bytes sent in retransmissions by this channel.

  Returns:
    the number of bytes sent in retransmissions by this channel.

### getBufferedBytes

    public long getBufferedBytes()

  Get the number of bytes buffered for retransmission by this channel.

  Returns:
    the number of bytes buffered for retransmission by this channel.

### getStatistics

    public StatData getStatistics()

  Returns cumulative statistics for all destinations on the channel.

  Returns:
    cumulative statistics for all destinations on the channel, or `null` if the channel information does not include statistics or statistics are disabled on the server.
  See Also:
    `TibjmsAdmin.getChannelStatistics(java.lang.String)`

### getDetailedStatistics

    public DetailedDestStat[] getDetailedStatistics()

  Returns detailed statistics for all destinations being sent on the channel.

  Returns:
    detailed statistics for all destinations being sent on the channel, or `null` if the channel information does not include statistics or statistics are disabled on the server.
  See Also:
    `TibjmsAdmin.getChannelStatistics(java.lang.String)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### from

    public static ChannelInfo from(javax.management.openmbean.CompositeData cd)
                            throws java.lang.Exception

  For Internal use only, may be removed or deprecated in future.

  Returns:
    a ChannelInfo object from CompositeData
  Throws:
    `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved